curl --request GET \
--url https://api.x.com/2/insights/historical \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/insights/historical"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/insights/historical', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"errors": [
{
"error": "<string>",
"tweets": [
"<string>"
]
}
],
"measurement": {
"metrics_time_series": [
{
"tweet_id": "1346889436626259968",
"value": {
"metric_values": [
{
"metric_type": "<string>",
"metric_value": 123
}
],
"timestamp": {
"iso8601_time": "<string>"
}
}
}
],
"metrics_total": [
{
"tweet_id": "1346889436626259968",
"value": [
{
"metric_type": "<string>",
"metric_value": 123
}
]
}
]
}
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Obtener estadísticas históricas de Publicaciones
Recupera métricas históricas de interacción para Publicaciones especificadas dentro de un intervalo de tiempo definido.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Lista de ids de Publicaciones para métricas históricas.
1 - 25 elementsIdentificador único de este Tweet. Se devuelve como cadena para evitar complicaciones con lenguajes y herramientas que no pueden manejar enteros de gran tamaño.
^[0-9]{1,19}$["20"]
YYYY-MM-DDTHH:mm:ssZ. Marca de tiempo en UTC que representa el final del intervalo de tiempo.
YYYY-MM-DDTHH:mm:ssZ. Marca de tiempo en UTC que representa el inicio del intervalo de tiempo.
Granularidad de la respuesta de métricas.
Daily, Hourly, Weekly, Total "Total"
Solicitar métricas para una solicitud histórica.
1AppInstallAttempts, AppOpens, DetailExpands, EmailTweet, Engagements, Follows, HashtagClicks, Impressions, Likes, LinkClicks, MediaEngagements, MediaViews, PermalinkClicks, ProfileVisits, QuoteTweets, Replies, Retweets, UniqueVideoViews, UrlClicks, UserProfileClicks, VideoCompletions, VideoPlayed25Percent, VideoPlayed50Percent, VideoPlayed75Percent, VideoStarts, VideoViews Una lista separada por comas de campos de Engagement que se devolverán en la respuesta. Campos disponibles para un objeto Engagement.
1errors, measurement ["errors", "measurement"]
Response
La solicitud se ha completado correctamente.
1Show child attributes
Show child attributes
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes